extension:
  name: anthropic
  display_name: Anthropic (Claude)
  version: 0.1.0
  host: cloud
  category: inference_adapter
  description: |
    Cloud adapter for Anthropic's Messages API. Translates
    OpenAI-chat request shape into Anthropic's `messages` format
    (different system-prompt handling, different content-block
    convention) and back. Handles tool_use / tool_result passthrough
    for native tool calling.

    Speaks ETP to the cloud role host. Phase-3 wires the real HTTPS
    client; Phase-2 ships the manifest so the admin surface shows
    what would be available once loaded.

  model: A                    # Eldric-managed subprocess (default)
  runtime: python
  entry_point: eldric_ext_anthropic.main:serve

  capabilities:
    - chat_completion
    - tool_use
    - vision
    - streaming

  tools: []                    # Cloud adapters don't add tools; they add models

  required_env:
    - ANTHROPIC_API_KEY

  license_tier: standard
  signature_key: ""
